# Sockets and Socket Sets
[Operating System Abstraction]

## Modules

| Socket Set Functions
| Socket Functions

## Error Codes

#define | GWEN_SOCKET_ERROR_ABORTED (-8)
#define | GWEN_SOCKET_ERROR_BAD_SOCKETTYPE (-1)
#define | GWEN_SOCKET_ERROR_BROKEN_PIPE (-9)
#define | GWEN_SOCKET_ERROR_IN_PROGRESS (-4)
#define | GWEN_SOCKET_ERROR_INTERRUPTED (-6)
#define | GWEN_SOCKET_ERROR_NOT_OPEN (-2)
#define | GWEN_SOCKET_ERROR_STARTUP (-5)
#define | GWEN_SOCKET_ERROR_TIMEOUT (-3)
#define | GWEN_SOCKET_ERROR_TYPE "Socket"
#define | GWEN_SOCKET_ERROR_UNSUPPORTED (-7)

## Typedefs

typedef GWEN_SOCKETSTRUCT | GWEN_SOCKET
typedef GWEN_SOCKETSETSTRUCT | GWEN_SOCKETSET

## Enumerations

enum | GWEN_SOCKETTYPE { GWEN_SocketTypeTCP = 1, GWEN_SocketTypeUDP, GWEN_SocketTypeRAW, GWEN_SocketTypeUnix }

## Detailed Description

This module handles sockets and socket sets.

## Define Documentation

#define GWEN_SOCKET_ERROR_ABORTED (-8)

#define GWEN_SOCKET_ERROR_BAD_SOCKETTYPE (-1)

#define GWEN_SOCKET_ERROR_BROKEN_PIPE (-9)

#define GWEN_SOCKET_ERROR_IN_PROGRESS (-4)

#define GWEN_SOCKET_ERROR_INTERRUPTED (-6)

#define GWEN_SOCKET_ERROR_NOT_OPEN (-2)

#define GWEN_SOCKET_ERROR_STARTUP (-5)

#define GWEN_SOCKET_ERROR_TIMEOUT (-3)

#define GWEN_SOCKET_ERROR_TYPE "Socket"

#define GWEN_SOCKET_ERROR_UNSUPPORTED (-7)

## Typedef Documentation

typedef struct GWEN_SOCKETSTRUCT GWEN_SOCKET

typedef struct GWEN_SOCKETSETSTRUCT GWEN_SOCKETSET

## Enumeration Type Documentation

enum GWEN_SOCKETTYPE

Socket types

Enumerator:

  GWEN_SocketTypeTCP |
  GWEN_SocketTypeUDP |
  GWEN_SocketTypeRAW |
  GWEN_SocketTypeUnix |